<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>The m17n Library: MFLTGlyphAdjustment Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="classes.html"><span>Data&nbsp;Structure&nbsp;Index</span></a></li>
      <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>MFLTGlyphAdjustment Struct Reference<br/>
<small>
[<a class="el" href="group__m17nFLT.html">FLT API</a>]</small>
</h1><!-- doxytag: class="MFLTGlyphAdjustment" -->
<p>Type of information about a glyph position adjustment.  
<a href="#_details">More...</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">short&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTGlyphAdjustment.html#aee994941a0007062c69d1f81c9f12407">back</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTGlyphAdjustment.html#a6366b42e7178ae76a9a1ddc83f62541e">advance_is_absolute</a>: 1</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTGlyphAdjustment.html#ab32192ffac060bcd7891cccdf340112f">set</a>: 1</td></tr>
<tr><td colspan="2"><div class="groupHeader"></div></td></tr>
<tr><td colspan="2"><div class="groupText"><p><a class="anchor" id="amgrpd41d8cd98f00b204e9800998ecf8427e"></a> </p>
</div></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTGlyphAdjustment.html#a15a8d5a2994dd192e2650fb9487760e9">xadv</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTGlyphAdjustment.html#af0883a32e2ecd73cd823c0af21fa12d0">yadv</a></td></tr>
<tr><td colspan="2"><div class="groupHeader"></div></td></tr>
<tr><td colspan="2"><div class="groupText"><p><a class="anchor" id="amgrpd41d8cd98f00b204e9800998ecf8427e"></a> </p>
</div></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTGlyphAdjustment.html#a8d57d0253fbf193fb4488a5e4bb2668d">xoff</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFLTGlyphAdjustment.html#a8a4a85f7ca77f747499e53398b5cd7be">yoff</a></td></tr>
</table>
<hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>Type of information about a glyph position adjustment. </p>
<p>The type <a class="el" href="structMFLTGlyphAdjustment.html" title="Type of information about a glyph position adjustment.">MFLTGlyphAdjustment</a> is the structure to store information about a glyph metrics/position adjustment. It is given to the callback function <b>drive_otf</b> of <a class="el" href="structMFLTFont.html" title="Type of font to be used by the FLT driver.">MFLTFont</a>. </p>
<hr/><h2>Field Documentation</h2>
<a class="anchor" id="a15a8d5a2994dd192e2650fb9487760e9"></a><!-- doxytag: member="MFLTGlyphAdjustment::xadv" ref="a15a8d5a2994dd192e2650fb9487760e9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMFLTGlyphAdjustment.html#a15a8d5a2994dd192e2650fb9487760e9">MFLTGlyphAdjustment::xadv</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Adjustments for advance width for horizontal layout and advance height for vertical layout expressed in 26.6 fractional pixel format. </p>

</div>
</div>
<a class="anchor" id="af0883a32e2ecd73cd823c0af21fa12d0"></a><!-- doxytag: member="MFLTGlyphAdjustment::yadv" ref="af0883a32e2ecd73cd823c0af21fa12d0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMFLTGlyphAdjustment.html#af0883a32e2ecd73cd823c0af21fa12d0">MFLTGlyphAdjustment::yadv</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a8d57d0253fbf193fb4488a5e4bb2668d"></a><!-- doxytag: member="MFLTGlyphAdjustment::xoff" ref="a8d57d0253fbf193fb4488a5e4bb2668d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMFLTGlyphAdjustment.html#a8d57d0253fbf193fb4488a5e4bb2668d">MFLTGlyphAdjustment::xoff</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Horizontal and vertical adjustments for glyph positioning expressed in 26.6 fractional pixel format. </p>

</div>
</div>
<a class="anchor" id="a8a4a85f7ca77f747499e53398b5cd7be"></a><!-- doxytag: member="MFLTGlyphAdjustment::yoff" ref="a8a4a85f7ca77f747499e53398b5cd7be" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structMFLTGlyphAdjustment.html#a8a4a85f7ca77f747499e53398b5cd7be">MFLTGlyphAdjustment::yoff</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aee994941a0007062c69d1f81c9f12407"></a><!-- doxytag: member="MFLTGlyphAdjustment::back" ref="aee994941a0007062c69d1f81c9f12407" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">short <a class="el" href="structMFLTGlyphAdjustment.html#aee994941a0007062c69d1f81c9f12407">MFLTGlyphAdjustment::back</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Number of glyphs to go back for drawing a glyph. </p>

</div>
</div>
<a class="anchor" id="a6366b42e7178ae76a9a1ddc83f62541e"></a><!-- doxytag: member="MFLTGlyphAdjustment::advance_is_absolute" ref="a6366b42e7178ae76a9a1ddc83f62541e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned <a class="el" href="structMFLTGlyphAdjustment.html#a6366b42e7178ae76a9a1ddc83f62541e">MFLTGlyphAdjustment::advance_is_absolute</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>If nonzero, the member &lt;xadv&gt; and &lt;yadv&gt; are absolute, i.e., they should not be added to a glyph's origianl advance width and height. </p>

</div>
</div>
<a class="anchor" id="ab32192ffac060bcd7891cccdf340112f"></a><!-- doxytag: member="MFLTGlyphAdjustment::set" ref="ab32192ffac060bcd7891cccdf340112f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned <a class="el" href="structMFLTGlyphAdjustment.html#ab32192ffac060bcd7891cccdf340112f">MFLTGlyphAdjustment::set</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Should be set to 1 iff at least one of the other members has a nonzero value. </p>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>Defines</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-en/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
